summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author B. Watson2014-01-18 03:28:31 +0100
committer Erik Hanson2014-01-30 06:21:06 +0100
commitd1dd666915587dd3aa43fef555c4be1af852af90 (patch)
tree753b43d44598a566f55e03069423a0f6d25b6780 /system
parent666f54dfd6d03151c6558f8f6b92ec98918ec42b (diff)
downloadslackbuilds-d1dd666915587dd3aa43fef555c4be1af852af90.tar.gz
system/read-edid: Added (read EDID information).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/read-edid/README9
-rw-r--r--system/read-edid/read-edid.SlackBuild81
-rw-r--r--system/read-edid/read-edid.info10
-rw-r--r--system/read-edid/slack-desc19
4 files changed, 119 insertions, 0 deletions
diff --git a/system/read-edid/README b/system/read-edid/README
new file mode 100644
index 0000000000..ef545fed3c
--- /dev/null
+++ b/system/read-edid/README
@@ -0,0 +1,9 @@
+read-edid (read EDID information from a video monitor)
+
+read-edid is a pair of tools (originally by John Fremlin) for reading the
+EDID from a monitor. It should work with most monitors made since 1996
+(except for newer ones with 256-byte EDID's - WiP), assuming the video
+card supports the standard read commands (most do).read-edid is a set
+of two tools - get-edid, which gets the raw edid information from the
+monitor, and parse-edid, which turns the raw binary information into an
+XF86Config-compatible monitor section.
diff --git a/system/read-edid/read-edid.SlackBuild b/system/read-edid/read-edid.SlackBuild
new file mode 100644
index 0000000000..49fb5d508d
--- /dev/null
+++ b/system/read-edid/read-edid.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for read-edid
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=read-edid
+VERSION=${VERSION:-3.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+
+# make install puts stuff in wrong places, just do it ourselves:
+ mkdir -p $PKG/usr/man/man1 $PKG/usr/bin
+ install -m0755 -s get-edid/get-edid parse-edid/parse-edid $PKG/usr/bin
+ gzip -9c < ../get-edid.man > $PKG/usr/man/man1/get-edid.1.gz
+ ln -s get-edid.1.gz $PKG/usr/man/man1/read-edid.1.gz
+ ln -s get-edid.1.gz $PKG/usr/man/man1/parse-edid.1.gz
+cd ..
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/read-edid/read-edid.info b/system/read-edid/read-edid.info
new file mode 100644
index 0000000000..4a4185738b
--- /dev/null
+++ b/system/read-edid/read-edid.info
@@ -0,0 +1,10 @@
+PRGNAM="read-edid"
+VERSION="3.0.0"
+HOMEPAGE="http://www.polypux.org/projects/read-edid/"
+DOWNLOAD="http://www.polypux.org/projects/read-edid/read-edid-3.0.0.tar.gz"
+MD5SUM="2ac6821cb3ef2eb7f62583f49f0867e0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/system/read-edid/slack-desc b/system/read-edid/slack-desc
new file mode 100644
index 0000000000..b34193bfb9
--- /dev/null
+++ b/system/read-edid/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+read-edid: read-edid (read EDID information from a video monitor)
+read-edid:
+read-edid: read-edid is a pair of tools (originally by John Fremlin) for
+read-edid: reading the EDID from a monitor. It should work with most monitors
+read-edid: made since 1996 (except for newer ones with 256-byte EDID's - WiP),
+read-edid: assuming the video card supports the standard read commands (most
+read-edid: do).read-edid is a set of two tools - get-edid, which gets the raw
+read-edid: edid information from the monitor, and parse-edid, which turns the
+read-edid: raw binary information into an XF86Config-compatible monitor section.
+read-edid:
+read-edid: